Subject: Re: login/passwd file
From: [email-masked] (Kees van Veen)

30 Dec 1997 01:09:21 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Derek Young <[email-masked]>
Cc: [email-masked]

Derek Young wrote:
> 
> I have not been able to get login from Sergey's page working.  I
> downloaded crypt.exe from his page as well, and created an /etc/passwd
> file.  Whenever I login I get "Login incorrect".
> 
> At first I thought this was a problem with telnet, but even just
> straight login fails (thus causing the problem with telnet).
> 
> I've tried setting up a passwd file with a null password like this:
> 
> dyoung::1000:0:Derek
> Young:/derek:/usr/gnuwin32/b18/H-i386-cygwin32/bin/bash.exe
> 
> I've also tried setting one up with a valid password:
> 
> dyoung:$1$11$r8tCuNX00ZGmGVaCftwTe1:1000:0:Derek
> Young:/derek:/usr/gnuwin32/b18/H-i386-cygwin32/bin/bash.exe
> 
> both passwords have the same effect.  The shell executable is was
> changed from /bin/sh.exe, but this doesn't seem to matter.
> 
> I'm trying to run CVS which uses the same password authentication, and
> this doesn't authenticate either.  Am I doing something wrong?  Do I
> need to do more set up?
> 
> -- derek
> 

Are the permissions of the user executing login.exe sufficient to do a
CreateProcessAsUser (see Sergey's homepage)?
You should be able to run login.exe from the command line (I created an
icon that does
'...H-i386-cygwin32\bin\sh.exe -c "/usr/local/sbin/login.exe"', which
works fine).

Try running mkpasswd to generate a password file.

Good luck,
Kees
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".